Page MenuHomePhabricator

Ability to draft/archive Phriction documents
Closed, WontfixPublic

Description

Often I will start writing a Phriction page with a very rough skeleton of what the final document will look like. I then progressively fill out the contents of the page over the span of a few hours. It would be beneficial if I could mark this document as a "draft" such that notifications (for mentions, for example) aren't triggered until the document is complete.

Event Timeline

joshuaspence updated the task description. (Show Details)
joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence added a project: Phriction.
joshuaspence added a subscriber: joshuaspence.
chad added a subscriber: chad.Jul 27 2015, 12:25 AM

What about setting edit and view to only me until it's complete?

eadler added a subscriber: eadler.Jul 27 2015, 5:20 AM

That would work but I guess.

Yomi added a subscriber: Yomi.EditedJul 28 2015, 5:11 PM

What about a situation in which users would need access to the unedited document?

(Wait, there's the History option...)

chad renamed this task from Ability to draft Phriction documents to Ability to draft/archive Phriction documents.
chad added subscribers: RowanKaag, Instinct64, epriestley and 2 others.

Combining Draft / Archive into a single task since it's easier to build both at once.

urzds added a subscriber: urzds.Jul 12 2017, 11:08 AM
epriestley closed this task as Wontfix.Aug 27 2018, 9:43 PM
epriestley claimed this task.

"Draft" will get a writeup in T13077 shortly.

Archive seems like it's the same as "Delete", an operation which already exists.